package com.ghy.quartz.task;

import com.ghy.quartz.service.OrderAlertTaskService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Slf4j
@Component("orderAlertTask")
public class OrderAlertTask {

    @Autowired
    private OrderAlertTaskService orderAlertTaskService;

    public void getSuitableOrder(){
        try {
            orderAlertTaskService.getSuitableOrderAlertWorker();
        }catch (Exception e){
            log.error(e.getMessage());
        }
    }

}
